## noris-nagios-webplugins 0.1-6

=== Makefile ===
build:

install:
	cp -r usr/ ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man1 ${DESTDIR}/usr/share/man/man3
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_weblogin --section=1 | iconv -f latin1 -t utf8 >  ${DESTDIR}/usr/share/man/man1/check_weblogin.1
	pod2man ${DESTDIR}/usr/lib/perl5/noris/Nagios/WebLogin/Agent.pm --section=3 | iconv -f latin1 -t utf8 > ${DESTDIR}/usr/share/man/man3/noris::Nagios::WebLogin::Agent.3
	pod2man ${DESTDIR}/usr/lib/perl5/noris/Nagios/WebLogin/Plugin/Projectile.pm --section=3 | iconv -f latin1 -t utf8 > ${DESTDIR}/usr/share/man/man3/noris::Nagios::WebLogin::Plugin::Projectile.3

clean:
	rm -f *-stamp

=== debian/changelog ===
noris-nagios-webplugins (0.1-6) lenny; urgency=low

  * neues Paket für Upload (RT#578472)

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 10 Feb 2010 15:15:02 +0100

noris-nagios-webplugins (0.1-5.2) lenny; urgency=low

  * check_weblogin: Formularnummer die geprüft werden soll kann mit angegeben
    werden.

 -- Stelios Gikas <stelios.gikas@noris.net>  Wed, 03 Feb 2010 17:12:05 +0100

noris-nagios-webplugins (0.1-5.1) lenny; urgency=low

  * Build 4 lenny 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 10 Nov 2009 17:11:42 +0100

noris-nagios-webplugins (0.1-5) etch; urgency=low

  * Bugfix in Projectile.pm - Richtige Logout Button klicken

 -- Stelios Gikas <stelios.gikas@noris.net>  Thu, 17 Sep 2009 15:09:18 +0200

noris-nagios-webplugins (0.1-4) etch; urgency=low

  * Bugfix im Modul Projectile.pm $self ->  $agent

 -- Stelios Gikas <stelios.gikas@noris.net>  Thu, 17 Sep 2009 14:31:25 +0200

noris-nagios-webplugins (0.1-3) etch; urgency=low

  * etch statt stable

 -- Stelios Gikas <stelios.gikas@noris.net>  Thu, 17 Sep 2009 13:58:20 +0200

noris-nagios-webplugins (0.1-2) old-stable; urgency=low

  * stable statt unstable

 -- Stelios Gikas <stelios.gikas@noris.net>  Thu, 17 Sep 2009 13:48:06 +0200

noris-nagios-webplugins (0.1-1) unstable; urgency=low

  * Initial Release.
  * #10046076: Added check_weblogin

 -- Stelios Gikas <stelios.gikas@noris.net>  Wed, 16 Sep 2009 16:55:10 +0200

=== debian/control ===
Source: noris-nagios-webplugins
Section: noris/server
Priority: optional
Maintainer: Stelios Gikas <stelios.gikas@noris.net>
Build-Depends: debhelper (>> 5)
Standards-Version: 3.7.2

Package: noris-nagios-webplugins
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libnetsaint-noris-perl (>> 1.1), libwww-mechanize-perl, perl (>= 5.6), perl-modules
Description: Web plugins for NetSaint and Nagios 
 Nagios is a replacement of the Netsaint project. It accept and uses the
 previous Netsaint modules transparently.
 .
 Nagios is a host/service/network monitoring and management system. It has
 the following features: 
 .
  *  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
     PING, etc.) 
  *  Plugin interface to allow for user-developed service checks 
  *  Contact notifications when problems occur and get resolved (via email,
     pager, or user-defined method) 
  *  Ability to define event handlers to be run during service or host events
     (for proactive problem resolution) 
  *  Web output (current status, notifications, problem history, log file, etc.) 
 .
 Nagios was written in C and is designed to be easy to understand and modify
 to fit your own needs.
 .
 This package contains homegrown plugins for Nagios and NetSaint.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
#export DH_COMPAT=4



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/noris-nagios-webplugins.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/noris-nagios-webplugins


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
